package cs;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class Challenge implements Serializable {

	static final long serialVersionUID = 20140831L;

	public Challenge() {

	}

	/*
	 * 指示是否禁用竞赛活跃度系数
	 */
	public boolean disableActivityLevelFactor = false;
	/*
	 * 指示是否禁用项目平衡系数
	 */
	public boolean disableProjectBalanceFactor = false;

	/*
	 * BOINCstats所组织的竞赛的竞赛ID
	 * 仅用于BOINCstats所组织的竞赛
	 */
	public String bscid;

	/*
	 * 竞赛名称
	 */
	public String name;

	/*
	 * 竞赛开始日期
	 */
	public Date startDate;

	/*
	 * 竞赛结束日期
	 */
	public Date endDate;

	/*
	 * 竞赛持续时间
	 */
	public int days;

	/*
	 * 竞赛的项目数
	 */
	public int projectNumber;

	/*
	 * 是否国际赛
	 */
	public boolean isTeam;

	/*
	 * 积分数据来源
	 */
	public DataSource dataSource;

	/*
	 * 团队名称
	 */
	// public String teamName;

	/*
	 * 全年中的第几个赛事
	 */
	public int challengeNumber;

	public List<Project> projectList;
	public List<UserSummary> userSummaryList;
}
